> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get an app key

GET https://api.contentful.com/organizations/{organization_id}/app_definitions/{app_definition_id}/keys/{key_kid}

Reference: https://contentful.com/developers/docs/references/content-management-api/app-keys/get-an-app-key

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — organization_id identifier
- `app_definition_id` (string, required) — app_definition_id identifier
- `key_kid` (string, required) — key_kid identifier

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "jwk": {
    "alg": "RS256",
    "kid": "fpFtDCM7r0I-PyIGITGO...",
    "kty": "RSA",
    "use": "sig",
    "x5c": [
      "MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMII...."
    ],
    "x5t": "fpFtDCM7r0I-PyIGITGO..."
  },
  "sys": {
    "appDefinition": {
      "sys": {
        "id": "<app_definition_id>",
        "linkType": "AppDefinition",
        "type": "Link"
      }
    },
    "createdAt": "2025-02-04T05:50:12.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "fpFtDCM7r0I-PyIGITGO...",
    "lastUsedAt": "2025-01-03T18:05:47.000Z",
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "AppKey",
    "updatedAt": "2025-02-04T05:50:12.000Z",
    "updatedBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    }
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

const key = await client.appKey.get({
  organizationId: '<organization_id>',
  appDefinitionId: '<app_definition_id>',
  fingerprint: '<fingerprint>',
})
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```